summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorshylesh <shmohan@redhat.com>2011-12-26 20:34:32 +0530
committershylesh <shmohan@redhat.com>2012-01-30 13:33:52 +0530
commita32a1ccccc48cb33b20a6ba8383c3db653ca4e6e (patch)
treeb13d75fe76a76e6493f0c9456a739e6675cfb59e
parent94fba5e1b2c1290ac0375f4ef346a12734e2e1b5 (diff)
BUG:764797-export directories should not be reused
Change-Id: Ie6217b2ad6c8b96eceba7c63dcd73b3ed73cec9e BUG: 764797 Signed-off-by: shylesh <shmohan@redhat.com>
-rwxr-xr-xdvm/764797/testcase20
1 files changed, 20 insertions, 0 deletions
diff --git a/dvm/764797/testcase b/dvm/764797/testcase
new file mode 100755
index 0000000..0e01a4a
--- /dev/null
+++ b/dvm/764797/testcase
@@ -0,0 +1,20 @@
+#!/bin/bash -x
+
+source $cwd/regression_helpers
+
+VOLNAME=$global_bug_id
+VOLNAME2=vol$global_bug_id
+
+$GLUSTERFSDIR/gluster volume create $VOLNAME $(hostname):$EXPORT_DIR/$global_bug_id/export1 \
+ $(hostname):$EXPORT_DIR/$global_bug_id/export2 2>/dev/null 1>/dev/null
+
+$GLUSTERFSDIR/gluster volume start $VOLNAME 2>/dev/null 1>/dev/null
+$GLUSTERFSDIR/gluster --mode=script volume stop $VOLNAME 2>/dev/null 1>/dev/null
+$GLUSTERFSDIR/gluster --mode=script volume delete $VOLNAME 2>/dev/null 1>/dev/null
+
+$GLUSTERFSDIR/gluster volume create $VOLNAME2 $(hostname):$EXPORT_DIR/$global_bug_id/export1 \
+ | grep 'has been part of a deleted volume with id'
+
+
+exit $?
+